root_path = File.dirname(__FILE__)
require "#{root_path}/lib/common"
require "#{root_path}/lib/builder"

b = Builder.new('localhost', 9090)

b.add_message(:connected, "CONNECTED:")
b.add_message(:disconnected, "DISCONNECTED:")
b.add_message(:cmd, "EXECCMD:##command##")
b.add_message(:date, "DATE:")
b.add_message(:arch, "ARCH:##arch##")
b.add_message(:load, "LOAD:##load##")

b.add_handler "ARCH:" do |params,from|
	Archs.each { |a| b.send(:arch, { :arch => a }, from) }
end

b.add_handler "LOAD:" do |params,from|
	loadvalue = open('|uptime', 'r').read.reverse.split(/ /)[2].reverse.delete(',')
	b.send(:load, { :load => loadvalue }, from)
end

b.connect.start

b.send(:connected, {})
b.send(:date, {})
b.send(:cmd, { 'command' => 'uptime' })
sleep 2

b.send(:disconnected, {})
