root_path = File.dirname(__FILE__)
require "#{root_path}/lib/common"
require "#{root_path}/lib/controld"

cd = ControlDaemon.new('0.0.0.0', 9090)

cd.add_message(:arch, "ARCH:")
cd.add_message(:load, "LOAD:")

cd.add_handler "CONNECTED:" do |params,from|
	cd.send(:arch, {}, from)
	cd.send(:load, {}, from)
end

cd.add_handler "EXECCMD:##command##" do |params,from|
	print "EXECING #{params['command']} : "
	system(params['command'])
end
cd.add_handler "ARCH:##archs##" do |params,from|
	puts "#{from.info} supports architecture #{params['archs']}"
end
cd.add_handler "LOAD:##load##" do |params,from|
	puts "#{from.info} has a load of #{params['load']}"
end

cd.listen.start
